[vdr] [ANNOUNCE] VDR version 2.0.0 released

Klaus Schmidinger Klaus.Schmidinger at tvdr.de
Sun Mar 31 23:15:35 CEST 2013


On 31.03.2013 22:28, Udo Richter wrote:
> Sorry for interrupting the party, great job for sure, but I think EPG on
> DVB-S2 is in fact buggy on DVB APIs 5.3 to 5.7.
>
> For these API verisons, the API 5.8 code fork replaces DTV_STREAM_ID
> with DTV_DVBT2_PLP_ID, and sends this command to DVB-S2 cards, even
> though DVB-S2 cards can hardly handle DVB-T2 commands. At least DVBAPI
> 5.2 will fail miserably on that, not sure if DVBAPI 5.3 to 5.7 is more
> tolerant in ignoring this.
>
> Suggested fix is to at least limit the DTV_STREAM_ID call for DVB-S2 to
> DVB API 5.8.
>
> Alternatively, you can take over my runtime check, or just drop support
> for DVB API 5.7 and older.

I guess I'll do the latter in version 2.1.1.
If in doubt, you may want to use the driver from

   http://linuxtv.org/hg/~endriss/media_build_experimental

because that's the one I use, so I can say that it works (at least
with the hardware I use). Currently I use the version as of
2013-03-01, which has

#define DVB_API_VERSION 5
#define DVB_API_VERSION_MINOR 10

Klaus



More information about the vdr mailing list